{%- set processed_label = label|render|striptags|trim|length >= 70 ?
                          label|render|striptags|trim|slice(0,70)|split(' ')|slice(0, -1)|join(' ') ~ ' ...' :
                          label -%}

<div class="image-container">
{% if content.field_link.0['#url'] %}
<a href="{{ content.field_link.0['#url'] }}">{{ content.field_image }}</a>
{% else %}
{{ content.field_image }}
{% endif %}
</div>
<div class="campl-slide-caption">
{% if content.field_link.0['#url'] %}
  <a href="{{ content.field_link.0['#url'] }}"><span class="campl-slide-caption-txt">{{ processed_label }}</span></a>
  {% else %}
  <span class="campl-slide-caption-txt">{{ processed_label }}</span>
  {% endif %}
</div>
